Subject: bug#30347: smtpmail.el doesn't retry with authentication when greylisting is used

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Sep 2020 22:49:24 +0200

Robert Pluim <[email-masked]> writes:

>> Because Emacs doesn't know that the user has a password entry in
>> ~/.authinfo.gpg until the user has type the password.  (If the user is
>> using password-protected ~/.authinfo files without a password agent,
>> that is.)
>
> Ah, people who like typing passwords all the time. I see your point, though.

So I think this isn't something we should try to automate -- the user
will just have to specify that the SMTP connection uses a password.  (I
think that's pretty common for mail user agents.)  So I'm closing this
bug report as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no